Determining if the pthread_create exist failed with the following output:
Change Dir: /tmp/tmp.5FwZ7fhobb/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/make" "cmTC_2e79a/fast"
/usr/bin/make -f CMakeFiles/cmTC_2e79a.dir/build.make CMakeFiles/cmTC_2e79a.dir/build
make[1]: Entering directory '/tmp/tmp.5FwZ7fhobb/cmake-build-debug/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_2e79a.dir/CheckSymbolExists.c.o
/usr/bin/cc    -o CMakeFiles/cmTC_2e79a.dir/CheckSymbolExists.c.o   -c /tmp/tmp.5FwZ7fhobb/cmake-build-debug/CMakeFiles/CMakeTmp/CheckSymbolExists.c
Linking C executable cmTC_2e79a
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_2e79a.dir/link.txt --verbose=1
/usr/bin/cc      CMakeFiles/cmTC_2e79a.dir/CheckSymbolExists.c.o  -o cmTC_2e79a 
CMakeFiles/cmTC_2e79a.dir/CheckSymbolExists.c.o: In function `main':
CheckSymbolExists.c:(.text+0x1b): undefined reference to `pthread_create'
collect2: error: ld returned 1 exit status
CMakeFiles/cmTC_2e79a.dir/build.make:86: recipe for target 'cmTC_2e79a' failed
make[1]: *** [cmTC_2e79a] Error 1
make[1]: Leaving directory '/tmp/tmp.5FwZ7fhobb/cmake-build-debug/CMakeFiles/CMakeTmp'
Makefile:121: recipe for target 'cmTC_2e79a/fast' failed
make: *** [cmTC_2e79a/fast] Error 2

File /tmp/tmp.5FwZ7fhobb/cmake-build-debug/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <pthread.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef pthread_create
  return ((int*)(&pthread_create))[argc];
#else
  (void)argc;
  return 0;
#endif
}

Determining if the function pthread_create exists in the pthreads failed with the following output:
Change Dir: /tmp/tmp.5FwZ7fhobb/cmake-build-debug/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/make" "cmTC_b5a4d/fast"
/usr/bin/make -f CMakeFiles/cmTC_b5a4d.dir/build.make CMakeFiles/cmTC_b5a4d.dir/build
make[1]: Entering directory '/tmp/tmp.5FwZ7fhobb/cmake-build-debug/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_b5a4d.dir/CheckFunctionExists.c.o
/usr/bin/cc   -DCHECK_FUNCTION_EXISTS=pthread_create   -o CMakeFiles/cmTC_b5a4d.dir/CheckFunctionExists.c.o   -c /usr/share/cmake-3.13/Modules/CheckFunctionExists.c
Linking C executable cmTC_b5a4d
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_b5a4d.dir/link.txt --verbose=1
/usr/bin/cc  -DCHECK_FUNCTION_EXISTS=pthread_create    CMakeFiles/cmTC_b5a4d.dir/CheckFunctionExists.c.o  -o cmTC_b5a4d -lpthreads 
/usr/bin/ld: cannot find -lpthreads
collect2: error: ld returned 1 exit status
CMakeFiles/cmTC_b5a4d.dir/build.make:86: recipe for target 'cmTC_b5a4d' failed
make[1]: *** [cmTC_b5a4d] Error 1
make[1]: Leaving directory '/tmp/tmp.5FwZ7fhobb/cmake-build-debug/CMakeFiles/CMakeTmp'
Makefile:121: recipe for target 'cmTC_b5a4d/fast' failed
make: *** [cmTC_b5a4d/fast] Error 2


